Author Topic: Mediatomb does not work after yum update (on netlabs-exp channel)  (Read 2786 times)

Michael Holzapfel

  • Newbie
  • *
  • Thank You
  • -Given: 2
  • -Receive: 4
  • Posts: 47
    • View Profile
One of the recent updates on netlabs-exp channel (probably libc) broke mediatomb. I get the following message:

MediaTomb UPnP Server version 0.12.0 - http://mediatomb.cc/

===============================================================================
Copyright 2005-2008 Gena Batsyan, Sergey Bostandzhyan, Leonhard Wimmer.
MediaTomb is free software, covered by the GNU General Public License version 2

2015-01-29 12:55:49    INFO: MediaTomb configuration was created in: /mediatomb/
home/.mediatomb/config.xml
2015-01-29 12:55:49    INFO: Loading configuration from: /mediatomb/home/.mediat
omb/config.xml
2015-01-29 12:55:49    INFO: UUID generated: c457b2a0-a7ad-11e4-83b7-4303a755463
c
2015-01-29 12:55:49    INFO: Checking configuration...
terminate called after throwing an instance of 'zmm::Exception'
terminate called recursively

Killed by SIGABRT
pid=0x0052 ppid=0x0051 tid=0x0001 slot=0x00b7 pri=0x0200 mc=0x0001 ps=0x0010
Z:\MEDIATOMB\BIN\MEDIATOMB.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.


My question is, where to place the bug report? Is it really libc ( http://trac.netlabs.org/libc )?
Thanks for your comments
Michael

guzzi

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 18
  • Posts: 311
    • View Profile
Re: Mediatomb does not work after yum update (on netlabs-exp channel)
« Reply #1 on: January 29, 2015, 02:11:03 pm »
Is there also an entry in the popuplog.os2? To test if libc is the culprit simply reverse the update. Yum downgrade *libc*0.6.6-22* will get you back to version 0.6.6-22. It might be that other upgrades get deinstalled because of a dependency.

Michael Holzapfel

  • Newbie
  • *
  • Thank You
  • -Given: 2
  • -Receive: 4
  • Posts: 47
    • View Profile
Re: Mediatomb does not work after yum update (on netlabs-exp channel)
« Reply #2 on: January 29, 2015, 10:17:06 pm »
Hm.. nothing about metiatomb.exe in popuplog.os2. Downgrade to 0.6.6-22 with same result. Switched back to netlabs-rel (libc-0.6.5) and it works again.

guzzi

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 18
  • Posts: 311
    • View Profile
Re: Mediatomb does not work after yum update (on netlabs-exp channel)
« Reply #3 on: January 30, 2015, 01:29:30 am »
In that case, it might indeed be a problem with libc066. Best to file a report in the bugtracker.

Doug Bissett

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 52
  • Posts: 1291
    • View Profile
Re: Mediatomb does not work after yum update (on netlabs-exp channel)
« Reply #4 on: January 30, 2015, 04:41:34 pm »
I used the WarpIn installer for LIBC066: ftp://ftp.netlabs.org/pub/libc/libc-0_6_6-csd6.wpi and Mediatomb is working as it always has. I do know that the YUM package has been updated about 3 times in the last couple of weeks, but I have no idea what they were doing to it.

Be aware, that you may (probably do) have multiple copies of those DLLs, if you never cleaned the whole thing out after installing RPM/YUM.

Paul Smedley

  • Sr. Member
  • ****
  • Thank You
  • -Given: 12
  • -Receive: 55
  • Posts: 477
    • View Profile
Re: Mediatomb does not work after yum update (on netlabs-exp channel)
« Reply #5 on: January 30, 2015, 10:06:19 pm »
My guess is that yum updated gccxxx.dll

There has been a bunch of activity on the gcc github recently, one of the discoveries is that the various gcc*.dll should be backwardsly compatible wiht each other. So with the latest experimental gcc 4.9.2 release in rpm, gcc492.dll has been renamed gcc1.dll (in line with libtool naming conventions). Yuri has created forwarders from the old gccxxx.dll to the new gcc1.dll

These may still need some testing. I would use chkdll32 to determine which gccxxx mediatomb uses, and check if it's been updated recently. If it has, try replacing it with the old original one. If that fixes it, report it in the rpm trac.

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 11
  • -Receive: 167
  • Posts: 2328
    • View Profile
Re: Mediatomb does not work after yum update (on netlabs-exp channel)
« Reply #6 on: January 31, 2015, 01:21:45 am »
Another consideration is that libc066 has changed how shells (such as sh) are handled, mostly the order that various environment settings are honoured but also it will now launch programs without .exe.
Yesterday I tried uploading some files with an old ncftp using wildcards which always used to work. Now it failed with something like "can not execute n:os2cmd.exe" so a crappier shell, probably ash renamed as sh tried to launch cmd.exe and failed due to OS/2 type path separator which *nix treats as an escape character
Seems to save time they're porting OS/2 instead of porting applications